Subject: Filter for multipart/signed pgp messages

From: Steve Beach <[email-masked]>
Date: Sun, 2 Nov 2003 17:35:57 -0500 (EST)

Dear All;

I'm a dedicated pine user (love the interface, love the text based
system), but I'm having trouble with pgp signed messages.  pgp4pine works
fine for monolithic signed messages, but it doesn't work at all for
multipart/signed messages.  Looking over the web, it appears this is a
commonly known problem with pine itself.

Well, I've got a possible solution.  The basic idea is to run the mail
through a filter that reads the various bits of the multipart mail, and
then re-writes the mail into a monolithic signed mail.  I consider this to
be _early_ beta at this stage, but I'm releasing it to get any community
feedback I can.

I'm particularly interested in whether the community would prefer a filter
that rewrites the message so pgp4pine (or equivalent) can handle it, or
whether the filter should call pgp/gnupg directly and append the results
of that onto the mail body of the mail.

I've tried the "formail -i" mentioned in the archives, but that doesn't
seem to work for me.

If you are interested, you can get the filter at
http://www.thebeachfamily.org/software/pine_mutt_filter and
http://www.thebeachfamily.org/software/pine_mutt_filter.asc (gpg
signature).

Currently, it uses the Optik option parsing package for
python you can find at http://freshmeat.net.  If enough people hate that,
I'll get rid of it.

Thanks,

Steve Beach

[email-masked],
http://www.thebeachfamily.org

- ------------------------------------------------------------
|  Can't keep my mind from the circling sky                |
|  Tongue tied and twisted, just an earth bound misfit, I  |
- ------------------------------------------------------------

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------